{
  "name": "{{ agave.appsPrefix }}-test-app-def-01-gf",
  "version": "0.1",
  "label": "Description of app that is longer than 64 characters, really long, like more than 64 characters",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/test-app-def-01-gf-0.1",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "test-app-def-01-gf.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "file",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    }
  ]
}